数据提供商: Exa
从网络资源中选取一个问题进行回答,并附上引用资料(Exa)
$0.005 / 次调用在 25 秒内响应
回答Exa页面索引中提出的一个自然语言问题:Exa会首先检索出相关的页面,然后返回一个直接的书面答案,同时附上其所引用的来源页面,这些页面都会显示标题、链接、发布日期以及作者信息。每个请求只能提出一个问题,不能提交一组问题;检索结果会同时提供答案和相关引用信息——这些信息都是从实际检索到的网页中获取的,而不是存储在模型内存中的。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Exa endpoint /answer on Glasser.bash
glasser run -p exa -e '/answer' -i '{"query":"What is the latest valuation of SpaceX?"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"exa","endpoint":"/answer","input":{"query":"What is the latest valuation of SpaceX?"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
探索市场研究问题时,可以获取回答,并在写入简报前审阅随回答返回的来源。
复制此提示词到你的 Agent,探索你的研究问题。
提示词
Use exa:/answer on Glasser.
Answer my market-research question and include the sources returned with the answer.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"query"
],
"properties": {
"text": {
"type": "boolean"
},
"query": {
"type": "string",
"maxLength": 2000,
"minLength": 1
},
"outputSchema": {
"type": "object",
"required": [
"type",
"properties"
],
"properties": {
"type": {
"anyOf": [
{
"enum": [
"object"
],
"type": "string"
}
]
},
"required": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[A-Za-z_][A-Za-z0-9_]*$",
"maxLength": 64,
"minLength": 1
},
"maxItems": 20,
"minItems": 1
},
"properties": {
"type": "object",
"patternProperties": {
"^[A-Za-z_][A-Za-z0-9_]*$": {
"type": "object",
"required": [
"type"
],
"properties": {
"type": {
"enum": [
"string",
"number",
"integer",
"boolean"
],
"type": "string"
},
"description": {
"type": "string",
"maxLength": 300,
"minLength": 1
}
},
"additionalProperties": false
}
}
}
},
"additionalProperties": false
}
},
"additionalProperties": false
}json
{
"query": "What is the latest valuation of SpaceX?"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 仅在返回数据时收费。 | $0.005 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |